import store from '@/store/index.js'
import pt from '@/lang/pt.js'
import en from '@/lang/en.js'
import es from '@/lang/es.js'

/* eslint-disable-next-line prefer-const */
let currentLanguage = store.getters.selectedLanguage

const getString = key => {
    const languageOptions = {
        en: en.getString,
        es: es.getString,
        pt: pt.getString
    }

    const curLang = languageOptions[currentLanguage]
    return curLang && typeof curLang === 'function' && curLang(key) ? curLang(key) : key
}

export { getString }
